{ pkgs, ... }:

{
  environment.systemPackages = with pkgs; [
    font-awesome # Icons
  ];

  fonts =
    let
      theme = import ../theme.nix;
    in
    {
      fontconfig.enable = true;
      packages = with pkgs; [
        (nerdfonts.override { fonts = [ theme.nerdFont ]; })
        jetbrains-mono
        # The line below will replace the lines above in 25.05
        # nerd-fonts.jetbrains-mono
        font-awesome
      ];
    };

}
